---------------------
PatchSet 5995 
Date: 2003/10/27 18:06:44
Author: dwsquid
Branch: icap-2_5
Tag: (none) 
Log:
bug from merging getICAPReqModString()

Members: 
	src/icap_reqmod.c:1.1.2.8->1.1.2.9 

Index: squid/src/icap_reqmod.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/icap_reqmod.c,v
retrieving revision 1.1.2.8
retrieving revision 1.1.2.9
diff -u -r1.1.2.8 -r1.1.2.9
--- squid/src/icap_reqmod.c	27 Oct 2003 18:04:10 -0000	1.1.2.8
+++ squid/src/icap_reqmod.c	27 Oct 2003 18:06:44 -0000	1.1.2.9
@@ -1,5 +1,5 @@
 /*
- * $Id: icap_reqmod.c,v 1.1.2.8 2003/10/27 18:04:10 dwsquid Exp $
+ * $Id: icap_reqmod.c,v 1.1.2.9 2003/10/27 18:06:44 dwsquid Exp $
  *
  * DEBUG: section 81    Internet Content Adaptation Protocol (ICAP) Client
  * AUTHOR: Geetha Manjunath, Hewlett Packard Company
@@ -558,16 +558,16 @@
     assert(service);
     client_addr = inet_ntoa(icap->request->client_addr);
 
-    memBufPrintf(mb, "REQMOD %s ICAP/1.0\r\n", service->uri);
-    memBufPrintf(mb, "Encapsulated: req-hdr=0");
+    memBufPrintf(&mb, "REQMOD %s ICAP/1.0\r\n", service->uri);
+    memBufPrintf(&mb, "Encapsulated: req-hdr=0");
     /* TODO: Change the offset using 'request' if needed */
     if (blen > 0)
-	memBufPrintf(mb, ", req-body=%d", mb_hdr.size);
+	memBufPrintf(&mb, ", req-body=%d", mb_hdr.size);
     else
-	memBufPrintf(mb, ", null-body=%d", mb_hdr.size);
-    memBufAppend(mb, crlf, 2);
+	memBufPrintf(&mb, ", null-body=%d", mb_hdr.size);
+    memBufAppend(&mb, crlf, 2);
     if (Config.icapcfg.send_client_ip)
-	memBufPrintf(mb, "X-Client-IP: %s\r\n", client_addr);
+	memBufPrintf(&mb, "X-Client-IP: %s\r\n", client_addr);
     memBufAppend(&mb, "Connection: close\r\n", 19);
     memBufAppend(&mb, crlf, 2);
     memBufAppend(&mb, mb_hdr.buf, mb_hdr.size);
